Module javafx.base
Package javafx.beans.value

# Interface ObservableIntegerValue

All Superinterfaces:
  `Observable`, `ObservableNumberValue`, `ObservableValue<Number>`

All Known Implementing Classes:
  `IntegerBinding`, `IntegerExpression`, `IntegerProperty`, `IntegerPropertyBase`, `JavaBeanIntegerProperty`, `ReadOnlyIntegerProperty`, `ReadOnlyIntegerPropertyBase`, `ReadOnlyIntegerWrapper`, `ReadOnlyJavaBeanIntegerProperty`, `SimpleIntegerProperty`, `SimpleStyleableIntegerProperty`, `StyleableIntegerProperty`

public interface ObservableIntegerValue extends ObservableNumberValue
An observable integer value.

Since:
  JavaFX 2.0
See Also:
  - `ObservableValue`
  - `ObservableNumberValue`

## Method Summary

Modifier and Type
Method
Description
`int`
`get()`
Returns the current value of this `ObservableIntegerValue`.

### Methods inherited from interface javafx.beans.Observable

`addListener, removeListener`

### Methods inherited from interface javafx.beans.value.ObservableNumberValue

`doubleValue, floatValue, intValue, longValue`

### Methods inherited from interface javafx.beans.value.ObservableValue

`addListener, getValue, removeListener`

## Method Details

### get

int get()
Returns the current value of this `ObservableIntegerValue`.

Returns:
  The current value